bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#6811: [PATCH] emacs-23.2 on hpux


From: Peter O'Gorman
Subject: bug#6811: [PATCH] emacs-23.2 on hpux
Date: Fri, 6 Aug 2010 11:16:27 -0500
User-agent: Mutt/1.5.20 (2009-12-10)

Hi,

Attached is a patch that allows us to build emacs-23.2 on our HP-UX
systems (10.20, 11.00 and 11.11 PA-RISC and 11.23, 11.31 both PA and
IA64).

Older hpux systems do not have setegid(), so I instead #defined it using
setregid. I must admit to being a little worried about this, simply
because the setegid() usage was introduced to fix a security flaw.

ORDINARY_LINK works. All of our hpux systems have termios.

We had problems both on HPUX and AIX crashing running temacs during the
build with a memory fault, turns out to be due to the fact that
DATA_SEG_BITS was not being added back in. This may not be the best fix
for the problem, but works for us.

Other notes:
Please restore the OSF/1 files etc. we still build on an OSF/1 system.
We also build on solaris 6, please don't remove it.

Peter
-- 
Peter O'Gorman
address@hidden

Attachment: emacs_23_2_hpux.patch
Description: Text document


reply via email to

[Prev in Thread] Current Thread [Next in Thread]